org.deidentifier.arx.certificate.elements

## Class ElementText

- java.lang.Object
- - org.deidentifier.arx.certificate.elements.ElementText

All Implemented Interfaces:
  Element

Direct Known Subclasses:
  ElementNewLine

    public class ElementText
    extends java.lang.Object
    implements Element

PDF text element

Author:
  Annika Saken, Fabian Prasser

### Nested Class Summary

Nested Classes
`static class` `ElementText.TextStyle` Style

### Constructor Summary

Constructors
Constructor and Description
`ElementText(java.lang.String text)` Creates a new text
`ElementText(java.lang.String text, ElementText.TextStyle style)` Creates a new text

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `render(rst.pdfbox.layout.elements.Document target, int indent, CertificateStyle style)` Renders the element to the given target

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ElementText

    public ElementText(java.lang.String text)

Creates a new text

Parameters:
  `text` -

#### ElementText

    public ElementText(java.lang.String text,
                       ElementText.TextStyle style)

Creates a new text

Parameters:
  `text` -

### Method Detail

#### render

    public void render(rst.pdfbox.layout.elements.Document target,
                       int indent,
                       CertificateStyle style)
                throws java.io.IOException

Description copied from interface: `Element`
Renders the element to the given target

Specified by:
  `render` in interface `Element`
Throws:
  `java.io.IOException`